Package weka.gui.beans

# Class SerializedModelSaverBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.SerializedModelSaverBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class SerializedModelSaverBeanInfo extends SimpleBeanInfo
Bean info class for the serialized model saver bean

Version:
  $Revision: 5562 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}org

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`SerializedModelSaverBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`BeanDescriptor`
`getBeanDescriptor()`
Get the bean descriptor for this bean
`EventSetDescriptor[]`
`getEventSetDescriptors()`
Get the event set descriptors for this bean

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializedModelSaverBeanInfo

public SerializedModelSaverBeanInfo()

## Method Details

### getEventSetDescriptors

public EventSetDescriptor[] getEventSetDescriptors()
Get the event set descriptors for this bean

Specified by:
  `getEventSetDescriptors` in interface `BeanInfo`
Overrides:
  `getEventSetDescriptors` in class `SimpleBeanInfo`
Returns:
  an `EventSetDescriptor[]` value

### getBeanDescriptor

public BeanDescriptor getBeanDescriptor()
Get the bean descriptor for this bean

Specified by:
  `getBeanDescriptor` in interface `BeanInfo`
Overrides:
  `getBeanDescriptor` in class `SimpleBeanInfo`
Returns:
  a `BeanDescriptor` value